List signing request custom fields
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{request_id}/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field_name": "<string>",
"field_label": "<string>",
"is_preset": true,
"preset_value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Not Found",
"message": "The requested resource was not found"
}Custom Fields
List signing request custom fields
Get all custom field definitions for a signing request
GET
/
signing-requests
/
{request_id}
/
custom-fields
List signing request custom fields
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Response
Custom fields retrieved successfully
List of custom fields
Show child attributes
Show child attributes
Was this page helpful?
⌘I